<?php
	// Tenta se conectar ao servidor MySQL
	include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
	include $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';
	$cfg = $_SESSION["configs"];

	// ini_set('display_errors',1);
	// ini_set('display_startup_erros',1);
	// error_reporting(E_ALL);

	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$_GET = $query;
	$token = $_GET["token"];
	$match_id = $_GET["match_id"];
	if($match_id == ''){ $match_id = 'DESCONHECIDA'; }
	$user = (int)$_GET["user"];

	// Verifica type e permissões
	if(!isset($_GET["token"])){ $ret['error'] = 'Token inexistente ou invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Retorno
	$ret = array();
	$ret['date'] = date('Y-m-d H:i:s');

	// Pesquisa usuário
	$sql = $mysqli->query("SELECT usuario_id, usuario_permissoes, usuario_nome FROM usuarios WHERE usuario_api_token = '$token'");
	if(mysqli_num_rows($sql) == 0 || !isset($_GET["token"]) || $_GET["token"] == ''){ $ret['error'] = 'TOKEN invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Pega dados do usuario
	$u = $sql->fetch_assoc();
	$userid = $u["usuario_id"];
	$perms = explode('-', $u["usuario_permissoes"]);

	// Verifica type e permissões
	if(!in_array('8', $perms)){ $ret['error'] = 'Você não possui permissões suficientes para visualizar o mapa.'; $ret['status'] = 'error'; $ret['status_code'] = 'invalidPerm'; finishJSONRequest($ret); }

	// Pesquisa
	$ret = array();
	if($user <> 0){
		$sql = $mysqli->query("SELECT cupom_codigo, cupom_valor, cupom_usuario, cupom_situacao, cupom_matches FROM cupons WHERE cupom_matches LIKE '%$match_id%' and cupom_usuario = '$user'");
	} else {
		$sql = $mysqli->query("SELECT cupom_codigo, cupom_valor, cupom_usuario, cupom_situacao, cupom_matches FROM cupons WHERE cupom_matches LIKE '%$match_id%' and cupom_usuario <> '0'");
	}

	// Inicia variáveis da partida
	$ret['price'] = 0;
	$ret['code'] = $match_id;
	$ret['qtd'] = 0;
	$ret['name'] = 'Partida '.$match_id;
	$bilhetes = array();

	// Inicia status
	$ret['status'][1]['qtd'] = 0; $ret['status'][1]['price'] = 0;
	$ret['status'][2]['qtd'] = 0; $ret['status'][2]['price'] = 0;
	$ret['status'][3]['qtd'] = 0; $ret['status'][3]['price'] = 0;
	$ret['status'][4]['qtd'] = 0; $ret['status'][4]['price'] = 0;

	while($c = $sql->fetch_assoc()){
		if(!isset($ret['status'][$c["cupom_situacao"]])){ $ret['status'][$c["cupom_situacao"]]['qtd'] = 0; $ret['status'][$c["cupom_situacao"]]['price'] = 0; }
		$ret['price'] += $c["cupom_valor"];
		$ret['qtd']++;
		$ret['status'][$c["cupom_situacao"]]['qtd']++;
		$ret['status'][$c["cupom_situacao"]]['price'] += $c["cupom_valor"];
		$bilhetes[$c["cupom_codigo"]] = $c["cupom_valor"];
	}

	// Pega IDS das partidas
	$sql = $mysqli->query("SELECT * FROM apostas WHERE aposta_jogo_id = '$match_id'");
	if(!$sql){ $ret['error'] = 'Erro de consulta! '.$mysqli->error; finishJSONRequest($ret); }
	while($c = $sql->fetch_assoc()){
		if($ret['match_date'] == '' || !isset($ret['match_date'])){
			$ret['match_date'] = desfazDatetime($c["aposta_data_jogo"]);
		}
		$ret['name'] = utf8_encode($c["aposta_jogo_nome"]);

		if(!isset($ret['options'][$c["aposta_opcao_id"]])){
			$ret['options'][$c["aposta_opcao_id"]]['market'] = utf8_encode($c["aposta_mercado"]);
			$ret['options'][$c["aposta_opcao_id"]]['name'] = utf8_encode($c["aposta_opcao"]);
			$ret['options'][$c["aposta_opcao_id"]]['qtd'] = 0;
			$ret['options'][$c["aposta_opcao_id"]]['price'] = 0;
		}

		$ret['options'][$c["aposta_opcao_id"]]['qtd']++;
		$ret['options'][$c["aposta_opcao_id"]]['price'] += $bilhetes[$c["aposta_cupom"]];
	}

	// Ordena

	// Por fim, formata real
	$ret['price'] = formataReal($ret['price']);
	foreach ($ret['options'] as $k => $v) { $ret['options'][$k]['price'] = formataReal($v['price']); }
	foreach ($ret['status'] as $k => $v) { $ret['status'][$k]['price'] = formataReal($v['price']); }

	// Por fim, consulta ID das imagens
	$t = explode(' x ', $ret['name']);
	$ret['team1'] = $t[0];
	$ret['team2'] = $t[1];
	$ret['team1_img'] = '/m/img/no-shield.png';
	$ret['team2_img'] = '/m/img/no-shield.png';

	if($x = simplexml_load_file('http://www.sysfbet.com.br/cdn/xml/apostas/'.$match_id.'.xml')){
		$ret['team1_img'] = 'https://assets.b365api.com/images/team/m/'.(string)$x->attributes()->t1i.'.png';
		$ret['team2_img'] = 'https://assets.b365api.com/images/team/m/'.(string)$x->attributes()->t2i.'.png';

		if((string)$x->attributes()->t1i == ''){ $ret['team1_img'] = '/m/img/no-shield.png'; }
		if((string)$x->attributes()->t2i == ''){ $ret['team2_img'] = '/m/img/no-shield.png'; }
	}


	echo json_encode($ret);
?>